---
title: "Resolution 031"
---

- Topic: Critical fixes amended process
- Date: 2025-06-10
- Deadline: 2025-06-24
- Size: Medium

### Summary

This resolution proposes specific changes to [`R010: Budget 004: Critical
fixes`](../passed/010.md). These changes are primarily intended to improve
transparency and match our new organising methods.

## Details

Ammendments are as follows.

1. "Confirmation from at least one other member": should be confirmed on the
   issue itself and not in the Matrix chat. It is suggested to indicate this
   when posting in the Matrix chat (aka "Please +1 on the issue itself").
1. "A fix is deemed critical": when it is marked with the label "critical fix".
   There is no specific project tracker for only these issues. This label can
   be re-used across repositories also.

### R010 in full

> We propose to have a standing budget of 10 hrs / month available for fixes in Abra, Co-op Cloud recipes and other critical tools (e.g. recipes.coopcloud.tech) in the Co-op Cloud ecosystem.
>
> A fix is deemed critical when it is listed on this toolshed/organising board:
>
> > https://git.coopcloud.tech/toolshed/organising/projects/24
>
> This board is collectively gardened by Co-op Cloud participants (both federation members and not). The process for adding a ticket to the board requires getting confirmation from at least one other member of the federation.
>
> This budget can be claimed by any volunteer who would like to develop the fix. If the volunteer is not a Co-op Cloud federation member, they must first be "vouched for" by a federation member. This is an informal process which can be arranged via the Matrix chat. This aims to assure agreement on timing and what the fix should contain beforehand.
>
> Fixes can be claimed by assiging yourself to the ticket. If within 1 week there is no updates on the ticket, another volunteer can propose to take over. This process is also informal: please @ the original volunteer and give some reasonable time for them to reply (suggested: 1 day).
>
> If the fix is urgent and things need to move faster, please state so on the ticket. Please consult with at least one other member of the federation to confirm that there is indeed agreement on the urgency of the fix.
